create behat step to insert breakpoint

Bug #1694563 reported by Rebecca Blundell on 2017-05-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Rebecca Blundell
17.04
Wishlist
Unassigned

Bug Description

This is a step to allow you to pause a test while writing it, so you can confirm what the page looks like and then manually continue test execution by pressing enter.

Changed in mahara:
assignee: nobody → Rebecca Blundell (rjb-dev)
status: New → In Progress

Reviewed: https://reviews.mahara.org/7796
Committed: https://git.mahara.org/mahara/mahara/commit/f35ee882872ba7c770f40028c04f84df214fd94e
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit f35ee882872ba7c770f40028c04f84df214fd94e
Author: Rebecca Blundell <email address hidden>
Date: Wed May 31 11:46:57 2017 +1200

Bug #1694563 - add step to make breakpoint in testing

Added step to make the test pause until you press enter
in the console.

Also added a step to print a debug line to the console

behatnotneeded

Change-Id: I0066c0203d34f4fd021d8ac24105cf5e55a2cc07

Robert Lyon (robertl-9) on 2017-05-31
Changed in mahara:
status: In Progress → Fix Committed
importance: Undecided → Wishlist
milestone: none → 17.10.0
Robert Lyon (robertl-9) on 2017-10-30
Changed in mahara:
status: Fix Committed → Fix Released

Reviewed: https://reviews.mahara.org/8489
Committed: https://git.mahara.org/mahara/mahara/commit/19596d443723aab8298a5cce34d191a2122655f8
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit 19596d443723aab8298a5cce34d191a2122655f8
Author: Rebecca Blundell <email address hidden>
Date: Wed May 31 11:46:57 2017 +1200

Bug #1694563 - add step to make breakpoint in testing

Added step to make the test pause until you press enter
in the console.

Also added a step to print a debug line to the console

behatnotneeded

Change-Id: I0066c0203d34f4fd021d8ac24105cf5e55a2cc07

Robert Lyon (robertl-9) wrote :

Also added it to the 17.04 branch as it is very useful for diagnosing failing behat tests

Reviewed: https://reviews.mahara.org/8823
Committed: https://git.mahara.org/mahara/mahara/commit/0dd99a2ad7d3e4aed660ed7aff3172da3022578f
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.04_STABLE

commit 0dd99a2ad7d3e4aed660ed7aff3172da3022578f
Author: Rebecca Blundell <email address hidden>
Date: Wed May 31 11:46:57 2017 +1200

Bug #1694563 - add step to make breakpoint in testing

Added step to make the test pause until you press enter
in the console.

Also added a step to print a debug line to the console

behatnotneeded

Change-Id: I0066c0203d34f4fd021d8ac24105cf5e55a2cc07

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers